Skip to main content
GET
/
v2
/
users
/
{userId}
/
orchestration-addresses
/
{orchestrationAddressId}
/
batches
List batches for an orchestration address
curl --request GET \
  --url https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses/{orchestrationAddressId}/batches \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses/{orchestrationAddressId}/batches"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/users/{userId}/orchestration-addresses/{orchestrationAddressId}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "records": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orchestrationAddressId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "totalAmount": "150.000000",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "depositIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "offrampTransactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextCursor": "2023-11-07T05:31:56Z"
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}
{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

orchestrationAddressId
string<uuid>
required

ID of the orchestration address.

Query Parameters

status
enum<string>

Filter batches by status.

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED
createdAfter
string<date-time>

Inclusive lower bound on createdAt (ISO 8601). Only records created at or after this timestamp are returned.

createdBefore
string<date-time>

Cursor for the next page. Pass the previous response's nextCursor value to return records created strictly before that timestamp.

limit
integer
default:50

Maximum number of records to return. 1–200, defaults to 50.

Required range: 1 <= x <= 200

Response

A paginated list of batches for the named orchestration address.

Paginated list of batches for an orchestration address.

count
integer
records
object[]
nextCursor
string<date-time> | null

Pass this value as createdBefore to retrieve the next page. null means no next page is advertised.